Summary:        Framework for managing and maintaining multi-language pre-commit hooks
Name:           pre-commit
Version:        3.7.0
Release:        1%{?dist}
License:        MIT
URL:            https://pre-commit.com
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  git-core python3-devel
BuildArch:      noarch

%description
A framework for managing and maintaining multi-language pre-commit hooks.


%prep
%autosetup -p1 -S git
sed -r '/^(covdefaults|coverage)\b/d' requirements-dev.txt |
  tee requirements-dev-filtered.txt

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pre_commit


%files -f %{pyproject_files}
%doc README.md CHANGELOG.md CONTRIBUTING.md
%{_bindir}/pre-commit


%changelog
* Wed Jun 12 2024 Shuo Wang <abushwang@tencent.com> - 3.7.0-1
- initial build
